// ============================================================================
// $Id: utils.hh,v 1.2 1996/04/26 23:33:04 questor Exp $
//
// This is part of Realm Of Magic
//
// Usage: Declaration of the Intermud utility functions
//
// All rights reserved. See license.doc for complete information.
//
// Copyright (C) 1993-1996 by the Hackerz of the Realm Of Magic
// Realm Of Magic is based on CircleMUD, Copyright (C) 1993.
// CircleMUD is based on DikuMUD, Copyright (C) 1990, 1991.
// Original intermud_client.c (C) 1995, 96 by Chris Austin (Stryker@Tempus)
// Original lpc protocol (C) by Mark Lewis (Nostradamus@Zebedee)
//                           by J.W. Armstrong (Alvin@Sushi)
// ============================================================================

#ifndef __INTERMUD__UTILS_HH__
#define __INTERMUD__UTILS_HH__

#include "imuddefs.hh"

bool case_compare(string, string);
bool case_n_compare(string, string, int);
void update_timestamp(dns_record &);
void copy_dns_record(dns_record &, dns_record &);
string encode_services(dns_record &);
void decode_services(string, dns_record &);

#endif

